hive-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joydeep Sen Sarma <jssa...@facebook.com>
Subject RE: Problem with queries
Date Sun, 14 Dec 2008 20:52:06 GMT
Hive should work with 0.18

However - it needs to be specifically compiled with 0.18 to work. Please do 'ant -Dhadoop.version=0.18.0
package' from the source tree root to get jar files that work with 18.

________________________________
From: Martin Matula [mailto:matulic@gmail.com]
Sent: Sunday, December 14, 2008 7:17 AM
To: hive-user@hadoop.apache.org
Subject: Problem with queries

Hi,
I have the standard Hadoop vmware image installed (I think it contains hadoop 0.18). I checked
out and run hive based on the instructions on your wiki.
I created a simple table containing 7 columns and loaded data into it.
Now, when I do "select a.* from mytable a;" everything works fine.
But, when trying "select a.mycolumn from mytable a;" I get the following exception:

java.lang.AbstractMethodError: org.apache.hadoop.hive.ql.io.HiveInputFormat.validateInput(Lorg/apache/hadoop/mapred/JobConf;)V
    at org.apache.hadoop.mapred.JobClient.submitJob(JobClient.java:735)
    at org.apache.hadoop.hive.ql.exec.ExecDriver.execute(ExecDriver.java:299)
    at org.apache.hadoop.hive.ql.Driver.run(Driver.java:215)
    at org.apache.hadoop.hive.cli.CliDriver.processCmd(CliDriver.java:174)
    at org.apache.hadoop.hive.cli.CliDriver.processLine(CliDriver.java:204)
    at org.apache.hadoop.hive.cli.CliDriver.main(CliDriver.java:302)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.apache.hadoop.util.RunJar.main(RunJar.java:155)
    at org.apache.hadoop.mapred.JobShell.run(JobShell.java:54)
    at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:65)
    at org.apache.hadoop.util.ToolRunner.run(ToolRunner.java:79)
    at org.apache.hadoop.mapred.JobShell.main(JobShell.java:68)

Should hive work with hadoop 0.18, or do I need to upgrade? Or do I need to update/rebuild
hive?
Thanks,
Martin

Mime
View raw message